Vagrant.configure("2") do |config|
    config.ssh.insert_key = false
    config.vm.define "controlnode" do |vm01|
        vm01.vm.box = "bento/ubuntu-20.04"
        vm01.vm.network "private_network", ip: "192.168.56.20"
        vm01.vm.hostname = "controlnode"
        vm01.vm.provider "virtualbox" do |vb|
            #vb.gui = true
            vb.memory = "1024"
            vb.cpus = 2
        end
        vm01.vm.synced_folder "./shared_folder", "/vagrant/shared_folder"
        vm01.vm.provision "shell", path: "proxys/proxy.sh"
    end
    config.vm.define "controlnode" do |vm01|
        vm01.vm.box = "bento/ubuntu-20.04"
        vm01.vm.network "private_network", ip: "192.168.56.20"
        vm01.vm.hostname = "controlnode"
        vm01.vm.provider "virtualbox" do |vb|
            #vb.gui = true
            vb.memory = "1024"
            vb.cpus = 2
        end
    end

    config.vm.define "managednode" do |vm01|
        vm01.vm.box = "bento/ubuntu-20.04"
        vm01.vm.network "private_network", ip: "192.168.56.21"
        vm01.vm.hostname = "managednode"
        vm01.vm.provider "virtualbox" do |vb|
            #vb.gui = true
            vb.memory = "1024"
            vb.cpus = 2
        end
    end
end